<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; class Globals { public const BOM_SELLING_KEY = '_is_purchasable'; public const SYNC_PURCHASE_PRICE_KEY = '_sync_purchase_price'; private static $product_simple_levels = array('product-part', 'raw-material'); private static $product_variable_levels = array('variable-product-part', 'variable-raw-material'); private static $variation_levels = array('product-part-variation', 'raw-material-variation'); private static $linked_bom_product_types = array('product_part', 'raw_material'); public static function is_bom_product($product) { goto ldvTj; BvSFg: return str_contains($product_class, 'AtumLevels\\Levels\\Products'); goto SyMN9; ldvTj: if ($product instanceof \WC_Product) { goto zs2dw; } goto CyOrJ; ztnus: $product_class = get_class($product); goto BvSFg; CyOrJ: return FALSE; goto VAom_; VAom_: zs2dw: goto ztnus; SyMN9: } public static function get_product_types() { return apply_filters('atum/product_levels/product_types', ['product-part' => __('Product Part', ATUM_LEVELS_TEXT_DOMAIN), 'variable-product-part' => __('Variable Product Part', ATUM_LEVELS_TEXT_DOMAIN), 'raw-material' => __('Raw Material', ATUM_LEVELS_TEXT_DOMAIN), 'variable-raw-material' => __('Variable Raw Material', ATUM_LEVELS_TEXT_DOMAIN)]); } public static function get_variable_product_levels() { return apply_filters('atum/product_levels/variable_product_levels', self::$product_variable_levels); } public static function get_all_product_levels() { return apply_filters('atum/product_levels/all_product_levels', array_merge(self::$product_simple_levels, self::$product_variable_levels, self::$variation_levels)); } public static function get_simple_product_levels() { return apply_filters('atum/product_levels/simple_product_levels', self::$product_simple_levels); } public static function get_product_levels() { return apply_filters('atum/product_levels/product_levels', array_merge(self::$product_simple_levels, self::$product_variable_levels)); } public static function get_variation_levels() { return apply_filters('atum/product_levels/variation_levels', self::$variation_levels); } public static function get_linked_bom_product_types() { return apply_filters('atum/product_levels/linked_bom_product_types', self::$linked_bom_product_types); } public static function get_all_linked_bom_types() { return apply_filters('atum/product_levels/all_linked_bom_types', self::$linked_bom_product_types); } }
