<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 defined('ABSPATH') || die; use Atum\Addons\Addons; use Atum\Inc\Helpers as AtumHelpers; use Atum\Components\AtumOrders\Items\AtumOrderItemProduct; goto td_rL; iOXK9: if ($is_editable) { goto NtpZJ; } goto RtqvW; FEod2: $accumulated[] = $order_item_qty; goto v3HtH; Kt8y6: ?></a> |
					<a href="#" class="close-nodes"><?php  goto Pvo0v; o7R1F: echo esc_html($item_product->get_name()); goto tSQfe; gZLpp: require Addons::is_addon_active('multi_inventory') ? 'multi-inventory/bom-mi-subtree.php' : 'bom-subtree.php'; goto ZhyxC; uM5ow: echo esc_attr($order_item->get_id()); goto nM5nN; a92AN: ?>">

					<ul>
						<?php  goto Hq9zw; jM5Z8: ?>" data-qty="<?php  goto I40A5; RtqvW: echo ' read-only'; goto aGJ0F; ViNjX: ?>)

							<?php  goto gZLpp; tSQfe: ?> (<?php  goto FSh3H; Hq9zw: $has_shortage = 1 === $order_type_id && $order_item_qty > $item_product->get_stock_quantity() && !$item_product->backorders_allowed(); goto BKPtV; nM5nN: ?>">
	<td colspan="100">
		<div class="bom-tree-wrapper">

			<h6><?php  goto bafxK; kt9Sa: echo $has_shortage ? 'data-tip="' . esc_attr__('There is not enough stock to fulfill this order', ATUM_LEVELS_TEXT_DOMAIN) . '"' : ''; goto oInT0; Pvo0v: esc_html_e('Collapse all', ATUM_LEVELS_TEXT_DOMAIN); goto qbHhC; WkeYa: ?>"></i></h6>

			<div class="bom-tree-field" style="display: none">

				<div class="bom-tree-field-actions">
					<a href="#" class="open-nodes"><?php  goto OZ8_t; pcMka: ?> <i class="collapse-tree atum-icon atmi-arrow-up-circle collapsed atum-tooltip" title="<?php  goto cizi0; UNBj2: ?>" data-<?php  goto mpwrn; BKPtV: ?>
						<li class="isExpanded isFolder<?php  goto WTIiF; CC1WI: ?>"
							<?php  goto kt9Sa; cN9WG: ?>order_item_id="<?php  goto uM5ow; aGJ0F: NtpZJ: goto jM5Z8; oInT0: ?>
						>

							<?php  goto ILl_q; OZ8_t: esc_html_e('Expand all', ATUM_LEVELS_TEXT_DOMAIN); goto Kt8y6; mpwrn: echo esc_attr(1 !== $order_type_id ? ATUM_PREFIX : ''); goto cN9WG; wfmfy: $nesting_level = 1; goto FEod2; Diqj6: echo $transient_created ? 'yes' : 'no'; goto UNBj2; cizi0: esc_attr_e('Toggle BOM tree', ATUM_LEVELS_TEXT_DOMAIN); goto WkeYa; bafxK: esc_html_e("Product's BOM tree", ATUM_LEVELS_TEXT_DOMAIN); goto pcMka; td_rL: $order_item_qty = $order_item_qty ?? $order_item->get_quantity(); goto wfmfy; ILl_q: $qty = apply_filters('atum/product_levels/order_item/bom_tree_qty', $accumulated[0], $item_product); goto NuV8J; FSh3H: echo esc_html($qty); goto ViNjX; WTIiF: echo $has_shortage ? ' shortage atum-tooltip' : ''; goto dwZED; qbHhC: ?></a>
				</div>

				<div class="atum-bom-tree<?php  goto iOXK9; dwZED: ?>"
							data-uiicon="<?php  goto vr1Y1; NuV8J: ?>
							<?php  goto o7R1F; v3HtH: ?>
<tr class="order-item-bom-tree-panel" data-sort-ignore="true" data-transient="<?php  goto Diqj6; I40A5: echo esc_attr($order_item_qty); goto a92AN; vr1Y1: echo esc_attr(AtumHelpers::get_atum_icon_type($item_product)); goto CC1WI; ZhyxC: ?>
						</li>
					</ul>

				</div>
			</div>

		</div>
	</td>
</tr>
