<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 defined('ABSPATH') || die; use Atum\Components\AtumStockDecimals; use AtumLevels\Inc\Globals; use AtumLevels\Inc\Helpers; use Atum\Inc\Helpers as AtumHelpers; goto Jf6wX; bBoKz: $bom_stock_status = $bom_product->get_atum_stock_status(); goto tBXjz; K3eey: ?>"></span>
	</td>
</tr>

<tr class="bom-data<?php  goto DmDD1; EJgJz: ?>" value="<?php  goto S5hQz; kB_A5: $bom_status = ' instock'; goto HfDwG; ujYH2: ?></span>
							</td>
							<td class="total_in_warehouse">
								<span><?php  goto o_sMB; s0lwI: $bom_status = ' onbackorder'; goto Xt336; lFa3H: $bom_status_icon = 'atmi-cross-circle'; goto vMwz8; k7YM6: echo wp_strip_all_tags($bom_product->get_formatted_name()); goto BTmjP; PLtRG: $total_in_warehouse = $free_to_use = $shortage = '-'; goto dPdpB; tFav0: ?>" data-original-value="<?php  goto q894U; QuytB: esc_html_e('Total in Warehose', ATUM_LEVELS_TEXT_DOMAIN); goto l6kZy; Z098c: $bom_status_icon = 'atmi-cross-circle'; goto nREiT; JstCf: fiRs2: goto OdeIc; olov7: ?>" value="<?php  goto mrJDL; Umakd: ?>
			</span>
		</td>

		<td class="item-quantity numeric">
			<input type="number" step="any" min="0" disabled="disabled" data-id="<?php  goto S4PMI; MvsYf: $bom_status = ' outofstock'; goto lFa3H; QGVJ2: MGz84: goto sF0PL; SIJZW: if ($bom_qty && $shortage < 0) { goto o507e; } goto eNgvt; Emor7: esc_html_e('Inbound Stock', ATUM_LEVELS_TEXT_DOMAIN); goto MQht0; TKWIx: s9mG_: goto fgJ3P; hKadB: $allow_backorders = $bom_product->backorders_allowed(); goto FD1My; E9Rq4: $bom_status_icon = 'atmi-circle-minus'; goto sMN9h; HlfAJ: $committed = $bom_product->get_stock_quantity(); goto T7lX2; Jf6wX: global $bom_list_total; goto bRxL8; MQht0: ?></th>
							<th><?php  goto wIJrd; AMVru: goto MGz84; goto JstCf; SXXPk: $bom_status = ' onbackorder'; goto E9Rq4; oYdVm: EPAsj: goto BxKaB; d18mD: esc_html_e('Committed', ATUM_LEVELS_TEXT_DOMAIN); goto gi38g; BxKaB: $bom_status = ' outofstock'; goto Z098c; tYlyR: goto Iz2Yw; goto ixcQD; h1kNo: ?></span>
							</td>
							<td class="shortage">
								<span><?php  goto jzGq9; cH4ou: $bom_status_tip = __('Out of Stock', ATUM_LEVELS_TEXT_DOMAIN); goto Pg_PV; v2Iyg: $total_in_warehouse = floatval($bom_product->get_stock_quantity()); goto wGGqM; bX9c1: if (!($total_in_warehouse < 0 || $total_in_warehouse < $committed)) { goto EFI_B; } goto WOc59; TDsIV: esc_html_e('Shortage', ATUM_LEVELS_TEXT_DOMAIN); goto OoId5; okk0p: $bom_status_tip = __('In Stock', ATUM_LEVELS_TEXT_DOMAIN); goto S6WUw; eNgvt: $bom_status = ' instock'; goto G2tg3; Nj_C5: $product_stock = $product->get_stock_quantity(); goto bBoKz; A8IwC: ?></span>
							</td>
						</tr>
					</tbody>
				<?php  goto PGNxC; fgJ3P: if ($bom_is_managed) { goto niHos; } goto PLtRG; FRkyE: echo esc_html(AtumHelpers::get_product_inbound_stock($bom_product)); goto XCv2w; R6exp: POhtm: goto yfC4K; HfDwG: $bom_status_icon = 'atmi-checkmark-circle'; goto n5kXk; Zkll9: echo wp_strip_all_tags($bom_product->get_formatted_name(TRUE)); goto AavEb; x8rXS: if ($allow_backorders) { goto wzNF2; } goto gxpwA; wN8pZ: h6iJa: goto QGVJ2; PGNxC: rhyWd: goto IpKAu; o_sMB: echo $total_in_warehouse < 0 && !$allow_backorders ? 0 : floatval($total_in_warehouse); goto E0zA6; JUOeU: $free_to_use = $total_in_warehouse - $committed; goto GSVH9; CBPaW: $bom_purchase_price = floatval($bom_product->get_purchase_price()); goto GlG_p; mQVOZ: esc_attr_e('Show/Hide data', ATUM_LEVELS_TEXT_DOMAIN); goto K3eey; WOc59: $shortage = $total_in_warehouse - $committed; goto Mmj9U; gxpwA: $bom_status = ' outofstock'; goto mJ3L7; l6kZy: ?></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td class="inbound_stock">
								<span><?php  goto FRkyE; mrJDL: echo esc_attr($bom_data->qty); goto tFav0; lQ7Nz: goto xMebY; goto Ivrf5; bRxL8: $bom_product = AtumHelpers::get_atum_product($bom_data->bom_id); goto OXtRB; iBn92: echo esc_html($free_to_use ?? ''); goto mwQCE; S5hQz: echo esc_attr(floatval($bom_data->qty)); goto tyA_O; JYYoP: goto Iz2Yw; goto oYdVm; MmiFi: goto rhyWd; goto l5kMA; xUGQP: if ($bom_is_managed) { goto JYqwn; } goto MYkd0; rVy9P: goto plqFQ; goto uS18r; cEVGs: ?> atum-tooltip"
			title="<?php  goto Mo9Sc; DmDD1: echo esc_attr($bom_status); goto Xe195; T7lX2: $shortage = '-'; goto BTpSL; DN8L9: do_action('atum/product_levels/linked_boms/after_recipe_col', $bom_product, $bom_data); goto b2rDt; wIJrd: esc_html_e('Backorders', ATUM_LEVELS_TEXT_DOMAIN); goto y6H8D; MYkd0: $total_in_warehouse = $free_to_use = $committed = $shortage = '-'; goto PhAGT; GSVH9: $free_to_use = $free_to_use >= 0 ? $free_to_use : 0; goto SIJZW; FlYwL: $bom_list_total += 'yes' !== $bom_item_real_cost ? $bom_qty * $bom_cost : $bom_cost; goto Du5qC; OqWWl: wzNF2: goto SXXPk; FgNa7: JYqwn: goto HlfAJ; OdeIc: if ('onbackorder' === $bom_stock_status) { goto aavPX; } goto yEPYU; tyA_O: ?>">
		</td>

		<td class="item-cost numeric"></td>

		<td class="bom-status-column numeric">
			<span class="bom-status atum-icon atmi-warning"></span>
		</td>

		<td class="bom-data-toggler"></td>
	</tr>

<?php  goto lQ7Nz; nZN9s: echo $bom_product->get_image('thumbnail'); goto CB1jz; awWvi: ?>

	<tr class="linked-bom not-found">

		<td class="check-column">
			<input type="checkbox" class="select-row">
		</td>

		<td>
			<span class="item-name">
				<?php  goto AJF0M; RajR_: echo esc_url(get_edit_post_link($is_bom_variation ? $bom_product->get_parent_id() : $bom_data->bom_id)); goto jQwZr; S4PMI: echo esc_attr($bom_data->bom_id); goto EJgJz; EgO33: echo esc_attr($bom_status_icon); goto cEVGs; b2rDt: ?>

	<td class="item-cost numeric">
		<input type="text" value="<?php  goto wdSmg; FvCIA: if ($total_in_warehouse <= 0 || $bom_qty && $bom_qty > $total_in_warehouse) { goto WHtmF; } goto ubVQd; CB1jz: ?>
			</span>

			<table>

				<?php  goto r_8iR; jQwZr: ?>" target="_blank">
				<?php  goto Zkll9; PhAGT: goto h6iJa; goto TKWIx; BTpSL: $free_to_use = 0; goto wN8pZ; T9pvU: ?>"></span>
	</td>

	<td class="bom-data-toggler">
		<span class="toggle-indicator atum-tooltip" data-tip="<?php  goto mQVOZ; q894U: echo esc_attr($bom_data->qty); goto Um0Nu; ubVQd: $bom_status = ' instock'; goto SqDuG; EM7fY: plqFQ: goto g8dMO; OXtRB: do_action('atum/product_levels/bom_meta/before_bom_list_item', $bom_product); goto y5yor; OmUuG: ?>" readonly="readonly"
		>
	</td>

	<td class="bom-status-column numeric">
		<span class="bom-status atum-icon <?php  goto EgO33; IpKAu: ?>

			</table>

		</span>
	</td>
</tr>

<?php  goto yn0e7; Q0CL9: echo $allow_backorders && $total_in_warehouse < 0 ? '<span class="negative">' . abs(floatval($total_in_warehouse)) . '</span>' : 0; goto ujYH2; wGGqM: remove_filter('atum/get_option/out_stock_threshold', '__return_false'); goto qK8qE; nKbfF: echo esc_attr($bom_status); goto kKaaC; S6WUw: goto ewzcL; goto BNAje; cqYvU: ?>">

	<td class="check-column">
		<input type="checkbox" class="select-row">
	</td>

	<td>
		<span class="item-name atum-tooltip" title="<?php  goto k7YM6; YTBB1: $stock_decimals = AtumStockDecimals::get_stock_decimals(); goto RMxc2; aBAj3: $product = wc_get_product($product_id); goto Nj_C5; YhTRk: goto h6iJa; goto FgNa7; BTmjP: ?>">
			<a class="" href="<?php  goto RajR_; XCv2w: ?></span>
							</td>
							<td class="backorders">
								<span><?php  goto Q0CL9; sMN9h: $bom_status_tip = __('On Backorder', ATUM_LEVELS_TEXT_DOMAIN); goto R6exp; yEPYU: if ('outofstock' === $bom_stock_status) { goto EPAsj; } goto kB_A5; kKaaC: ?>" data-backorders="<?php  goto wi1jw; mJ3L7: $bom_status_icon = 'atmi-cross-circle'; goto cH4ou; RbI1W: echo esc_html($committed ?? ''); goto h1kNo; Xe195: ?>">
	<td colspan="8">
		<span>

			<span class="bom-thumb">
				<?php  goto nZN9s; vMwz8: $bom_status_tip = __('On Shortage', ATUM_LEVELS_TEXT_DOMAIN); goto EM7fY; y5yor: if ($bom_product instanceof \WC_Product) { goto yhBHw; } goto awWvi; sF0PL: ?>

<tr class="linked-bom<?php  goto nKbfF; HaFa9: ?>"
			data-purchase-price="<?php  goto SGU1U; jzGq9: echo isset($shortage) && is_numeric($shortage) && $shortage < 0 ? '<span class="negative">' . esc_html($shortage) . '</span>' : esc_html($shortage ?? ''); goto QLPt7; y6H8D: ?></th>
							<th><?php  goto QuytB; AONda: ?>

					<thead>
						<tr>
							<th><?php  goto Emor7; psrH0: ?></th>
							<th><?php  goto RH08W; tAvAk: $bom_qty = floatval($bom_data->qty); goto CBPaW; mwQCE: ?></span>
							</td>
							<td class="total_in_warehouse">
								<span><?php  goto i5Tbp; RMxc2: do_action('atum/product_levels/bom_meta/before_total_in_warehouse', $bom_product); goto fyNko; tBXjz: $bom_is_managed = $bom_product->managing_stock(); goto tAvAk; yn0e7: xMebY: goto B6lrL; g8dMO: ItjF3: goto YhTRk; yfC4K: ewzcL: goto AMVru; PGor2: Iz2Yw: goto iLxu9; n5kXk: $bom_status_tip = __('In Stock', ATUM_LEVELS_TEXT_DOMAIN); goto tYlyR; uS18r: o507e: goto MvsYf; AJF0M: esc_html_e('BOM product not found', ATUM_LEVELS_TEXT_DOMAIN); goto Umakd; d32OD: $bom_status_tip = __('In Stock', ATUM_LEVELS_TEXT_DOMAIN); goto rVy9P; Xt336: $bom_status_icon = 'atmi-circle-minus'; goto q3W9K; Um0Nu: ?>">
	</td>

	<?php  goto DN8L9; Mmj9U: EFI_B: goto JUOeU; wdSmg: echo esc_attr($bom_cost); goto HaFa9; Wrzgo: if (!Helpers::is_bom_stock_control_enabled()) { goto fiRs2; } goto FvCIA; qK8qE: do_action('atum/product_levels/bom_meta/after_total_in_warehouse', $bom_product); goto aBAj3; wi1jw: echo esc_attr($data_backorders); goto cqYvU; AavEb: ?>
			</a>
		</span>
	</td>

	<td class="item-quantity numeric">
		<input type="number" step="any" min="0" data-id="<?php  goto zs1rE; zs1rE: echo esc_attr($bom_data->bom_id); goto olov7; Pg_PV: goto POhtm; goto OqWWl; fyNko: add_filter('atum/get_option/out_stock_threshold', '__return_false'); goto v2Iyg; tVRoE: if (FALSE !== $committed) { goto s9mG_; } goto xUGQP; XsMg_: niHos: goto EzwpI; Mo9Sc: echo esc_attr($bom_status_tip); goto T9pvU; nREiT: $bom_status_tip = __('Out of Stock', ATUM_LEVELS_TEXT_DOMAIN); goto PGor2; dPdpB: goto ItjF3; goto XsMg_; Ivrf5: yhBHw: goto YTBB1; r_8iR: if (!Helpers::is_bom_stock_control_enabled()) { goto JbXs6; } goto AONda; GlG_p: $bom_cost = apply_filters('atum/product_levels/bom_list_item_cost', 'yes' !== $bom_item_real_cost ? $bom_purchase_price : $bom_qty * $bom_purchase_price, $bom_data, $bom_product, $bom_item_real_cost); goto dgjBI; Rh20b: ?></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td class="committed">
								<span><?php  goto RbI1W; iLxu9: $committed = Helpers::get_committed_boms($bom_data->bom_id); goto tVRoE; E0zA6: ?></span>
							</td>
						</tr>
					</tbody>

				<?php  goto MmiFi; XCdG5: esc_html_e('Free to Use', ATUM_LEVELS_TEXT_DOMAIN); goto psrH0; ixcQD: aavPX: goto s0lwI; RH08W: esc_html_e('Total in Warehose', ATUM_LEVELS_TEXT_DOMAIN); goto Rh20b; gi38g: ?></th>
							<th><?php  goto TDsIV; q3W9K: $bom_status_tip = __('On Backorder', ATUM_LEVELS_TEXT_DOMAIN); goto JYYoP; l5kMA: JbXs6: goto wlxG_; G2tg3: $bom_status_icon = 'atmi-checkmark-circle'; goto d32OD; Du5qC: $item_cost_tip = 'yes' === $bom_item_real_cost ? sprintf(__('Real Cost<br>Unitary Cost: %d', ATUM_LEVELS_TEXT_DOMAIN), $bom_purchase_price) : __('Unitary Cost', ATUM_LEVELS_TEXT_DOMAIN); goto Wrzgo; QLPt7: ?></span>
							</td>
							<td class="free_to_use">
								<span><?php  goto iBn92; EzwpI: $shortage = $free_to_use = 0; goto bX9c1; BNAje: WHtmF: goto x8rXS; i5Tbp: echo $total_in_warehouse < 0 ? '<span class="negative">' . esc_html($total_in_warehouse) . '</span>' : esc_html($total_in_warehouse); goto A8IwC; SGU1U: echo esc_attr($bom_purchase_price); goto OmUuG; dgjBI: $is_bom_variation = in_array($bom_product->get_type(), Globals::get_variation_levels()); goto hKadB; wlxG_: ?>
					<thead>
						<tr>
							<th><?php  goto d18mD; FD1My: $data_backorders = $allow_backorders ? 'yes' : 'no'; goto FlYwL; OoId5: ?></th>
							<th><?php  goto XCdG5; SqDuG: $bom_status_icon = 'atmi-checkmark-circle'; goto okk0p; B6lrL: do_action('atum/product_levels/bom_meta/after_bom_list_item', $bom_product);
