<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 defined('ABSPATH') || die; use Atum\Inc\Helpers as AtumHelpers; goto e5Upl; YWrvc: echo $minimum_threshold_data; goto VmFH2; gCtwf: do_action('atum/product_levels/bom_stock_control_fields/after_calculated_stock_field', $item, $is_variation); goto RfaON; AS2yB: L1HxS: goto whTje; y9Ndl: ?>">
		<label for="<?php  goto OuVCu; PE1GF: ?>"
				value="<?php  goto nq33i; lNlpW: echo esc_attr($selling_priority); goto Zm1O6; bhisT: echo wc_help_tip(esc_html__('The calculated stock you have available depending on the BOM linked to this product.', ATUM_LEVELS_TEXT_DOMAIN)); goto oFPjf; UmhGz: esc_html_e('Selling priority', ATUM_LEVELS_TEXT_DOMAIN); goto u6yNH; XtK64: ?>>

			<?php  goto SEsrj; QRQFO: echo esc_attr($calc_stock_quantity_css); goto KIe1d; jryMy: ?>" step="any" min="0"
				<?php  goto kc1A3; fEkSX: echo esc_attr($available_to_purchase_field_id); goto Ee539; tENo9: echo $calc_stock_alert; goto M0W0F; e5Upl: ?>
<div class="bom-stock-control-fields"<?php  goto ijQV3; W5vnJ: echo wc_help_tip(esc_html__('The global selling priority for this product. You can edit this value from Stock Central or Manufacturing Central.', ATUM_LEVELS_TEXT_DOMAIN)); goto FREOh; Nw1AI: if (empty($available_to_purchase_data)) { goto VG2X8; } goto oruzt; xSVMU: ?>" value="<?php  goto lNlpW; ModOe: echo wc_help_tip(esc_html__('The minimum threshold this product must have. The priorities for stock rebalancing can be adjusted in Stock Central.', ATUM_LEVELS_TEXT_DOMAIN)); goto SP0YC; OuVCu: echo esc_attr($selling_priority_field_id); goto fd_sD; aqlf8: echo esc_attr($available_to_purchase_field_name); goto xQDeP; sWrBP: cvHh1: goto C3TPn; okWv3: echo esc_attr($calc_stock_quantity_field_id); goto t8dGZ; sUIVr: esc_html_e('Available to purchase', ATUM_LEVELS_TEXT_DOMAIN); goto qQFrP; PY8oj: echo esc_attr($minimum_threshold_field_id); goto FfoV3; KZvYT: echo esc_attr($calc_stock_quantity_field_id); goto R9DdG; W6os0: echo esc_attr($selling_priority_field_id); goto xSVMU; R9DdG: ?>">
			<?php  goto NcX9u; ADlVs: echo esc_attr($minimum_threshold_field_id); goto dxQ2f; KIe1d: if (!$is_variation) { goto cvHh1; } goto XmESX; LLHG2: WHObe: goto w8vrh; mVc1J: ?>

			<input type="number" class="short" id="<?php  goto ADlVs; IR1ZA: ?>
		</label>

		<span class="atum-field input-group">
			<?php  goto DPR2t; GyWBO: if (!$is_variation) { goto B6meF; } goto qcITd; qWAiQ: ?>" step="any">

			<?php  goto bhisT; n6A9w: echo esc_attr($available_to_purchase); goto Jpoq3; JEg1I: esc_html_e('Minimum threshold', ATUM_LEVELS_TEXT_DOMAIN); goto oXyKP; y1zfl: B6meF: goto y9Ndl; Zm1O6: ?>" step="any">

			<?php  goto W5vnJ; w8vrh: ?>">
		<label for="<?php  goto PY8oj; fd_sD: ?>"><?php  goto UmhGz; qcITd: echo ' form-row form-row-last'; goto y1zfl; SEsrj: echo wc_help_tip(esc_html__('The amount of this product that can purchase every individual customer. Set to 0 or leave it blank for no limit, set to -1 to make it temporarily unavailable (out of stock) or set any other number to limit the number of items per customer.', ATUM_LEVELS_TEXT_DOMAIN)); goto Mxl6D; NpV12: ?>>

			<?php  goto ModOe; P7Wqn: AtumHelpers::atum_field_input_addon(); goto xWzkC; gf6qE: ?>

			<input type="number" class="short bom-info" disabled="disabled" id="<?php  goto okWv3; UNszZ: echo esc_attr($selling_priority_css); goto GyWBO; sVWK6: echo esc_attr($available_to_purchase_field_id); goto d52cI; oruzt: echo $available_to_purchase_data; goto R1q9i; FfoV3: ?>"><?php  goto JEg1I; Ee539: ?>"><?php  goto sUIVr; SP0YC: ?>
		</span>
	</p>

	<p class="form-field <?php  goto X8NlZ; xWzkC: ?>

			<input type="number" class="short bom-info" disabled="disabled" id="<?php  goto W6os0; nq33i: echo esc_attr($minimum_threshold); goto jryMy; R1q9i: VG2X8: goto XtK64; Mc0Gt: echo ' form-row form-row-last'; goto AS2yB; u6yNH: ?></label>

		<span class="atum-field input-group">
			<?php  goto P7Wqn; DPR2t: AtumHelpers::atum_field_input_addon(); goto gf6qE; t8dGZ: ?>"
				value="<?php  goto WDAou; FsTbE: ?>>
	<p class="form-field <?php  goto QRQFO; XmESX: echo ' form-row form-row-first'; goto sWrBP; gr1Br: echo ' form-row form-row-first'; goto LLHG2; oXyKP: ?></label>

		<span class="atum-field input-group">
			<?php  goto wAHob; RfaON: ?>

	<p class="form-field <?php  goto UNszZ; d52cI: ?>" name="<?php  goto aqlf8; FREOh: ?>
		</span>
	</p>

	<p class="form-field <?php  goto Pjl85; C3TPn: ?>">
		<label for="<?php  goto KZvYT; XBLDo: if (!$is_variation) { goto WHObe; } goto gr1Br; ijQV3: echo $visibility; goto FsTbE; Pjl85: echo esc_attr($minimum_threshold_css); goto XBLDo; xQDeP: ?>"
				value="<?php  goto n6A9w; Y8b9S: echo esc_attr($minimum_threshold_field_name); goto PE1GF; kc1A3: if (empty($minimum_threshold_data)) { goto K3dCs; } goto YWrvc; WDAou: echo wc_stock_amount($calc_stock_quantity); goto qWAiQ; qQFrP: ?></label>

		<span class="atum-field input-group">
			<?php  goto llbMy; VmFH2: K3dCs: goto NpV12; ZeH2P: ?>

			<input type="number" class="short" id="<?php  goto sVWK6; wAHob: AtumHelpers::atum_field_input_addon(); goto mVc1J; FMQIq: if (!$is_variation) { goto L1HxS; } goto Mc0Gt; X8NlZ: echo esc_attr($available_to_purchase_css); goto FMQIq; NcX9u: echo apply_filters('atum/product_levels/calculated_stock_field_title', esc_html__('Calculated quantity', ATUM_LEVELS_TEXT_DOMAIN), $item); goto IR1ZA; llbMy: AtumHelpers::atum_field_input_addon(); goto ZeH2P; whTje: ?>">
		<label for="<?php  goto fEkSX; oFPjf: ?>
		</span>
	</p>

	<?php  goto tENo9; Jpoq3: ?>" step="any" min="-1"
				<?php  goto Nw1AI; M0W0F: ?>

	<?php  goto gCtwf; dxQ2f: ?>" name="<?php  goto Y8b9S; Mxl6D: ?>
		</span>
	</p>
</div>
