<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 defined('ABSPATH') || die; use AtumLevels\Inc\Globals; use AtumLevels\Inc\Helpers; use Atum\Inc\Helpers as AtumHelpers; use AtumLevels\Bootstrap; goto DYyOq; jjbho: LV5NS: goto bGdfm; Ewi7K: esc_attr_e('Product Type', ATUM_LEVELS_TEXT_DOMAIN); goto l7AoJ; Oh7qR: esc_attr_e('Stock Indicator', ATUM_LEVELS_TEXT_DOMAIN); goto AHuU9; atEgD: esc_html_e('Available to Purchase', ATUM_LEVELS_TEXT_DOMAIN); goto DFi9p; C5cX0: if ($is_variation) { goto K7SpZ; } goto Sah0I; l7AoJ: ?>"></i>
					</th>
					<th>
						<i class="atum-icon atmi-tree atum-tooltip" data-tip="<?php  goto xl_Qq; HW7EE: ?>
<div id="bom_associates_data" class="panel woocommerce_options_panel hidden" data-nonce="<?php  goto ZPEL6; GF0o4: ?>">
<?php  goto o9F5J; bOOS9: ?>

	<?php  goto ulEoe; KT28M: ?>"></i>
					</th>
					<th class="numeric">
						<?php  goto i6FOq; T0Gmc: r1qE3: goto zRJi4; DYyOq: $associated_count = count($associated_products); goto aEYIt; sKePj: esc_html_e('BOMs', ATUM_LEVELS_TEXT_DOMAIN); goto Zywh2; Oyhvi: esc_html_e('Filter', ATUM_LEVELS_TEXT_DOMAIN); goto IeyWJ; IeyWJ: ?></button>-->

			<div class="alert alert-primary">
				<i class="atum-icon atmi-question-circle"></i>
				<?php  goto ipTpC; hMNcM: ?>">

		<div class="table-legend">

			<!--<select id="bom-associates-product-type" style="width: 130px">
				<option value="products"><?php  goto e4X22; dedzC: esc_html_e('This BOM was not associated to any product yet', ATUM_LEVELS_TEXT_DOMAIN); goto IAWqL; Qkdne: ?> class="atum-section-title hide_if_variable show_if_variation-product-part show_if_variation-raw-material">
		<?php  goto tbBSC; cwu2o: ?>">
							<?php  goto Zwp02; ZPEL6: echo esc_attr(wp_create_nonce('atum-bom-associates-meta-box-nonce')); goto GF0o4; pskbH: esc_html_e('Associated Products/BOMs', ATUM_LEVELS_TEXT_DOMAIN); goto IF2hl; PpDa1: ?>
						</span>
					</th>
					<th class="thumb">
						<i class="atum-icon atmi-picture atum-tooltip" data-tip="<?php  goto JKuQd; bGdfm: ?>
				<?php  goto xIhsJ; yHQX9: ?>
	</<?php  goto mniCk; tbBSC: if (!$is_variation) { goto r1qE3; } goto EoJFR; EzQEr: ?>
					</th>
					<th>
						<i class="atum-icon atmi-tag atum-tooltip" data-tip="<?php  goto Ewi7K; mniCk: echo esc_attr($title_tag); goto tgrzl; Zwp02: esc_html_e('Pty.', ATUM_LEVELS_TEXT_DOMAIN); goto PpDa1; BMjWz: ?>

					<?php  goto wB07s; ulEoe: $title_tag = $is_variation ? 'h2' : 'h4'; goto ZGKK7; JUfSZ: ?>"></i>
		<?php  goto T0Gmc; FK5FW: ?>
			</div>

		</div>

		<table class="bom-associates-table" data-nonce="<?php  goto MLrhN; TH0Ov: ?>
					</th>
					<th class="numeric">
						<?php  goto atEgD; wB07s: foreach ($associated_products as $associated_product_data) { goto Vzp2J; TROcs: echo esc_attr($stock_tip); goto Ac19l; qK8PT: echo esc_attr($product_tip); goto Alwhg; OGf8H: ?>
										</span>
									</span>
								<?php  goto b0zHg; XV0yF: ?>
									<?php  goto s9Cvk; twg57: $stock_tip = __('In Stock', ATUM_LEVELS_TEXT_DOMAIN); goto d7ySh; qAev9: EU4Dr: goto S25wj; VI5Fr: echo is_null($associated_product_data->available_to_purchase) ? $empty_col : wc_stock_amount($associated_product_data->available_to_purchase); goto OGf8H; ttEP2: esc_html_e("Click to edit the 'Minimum Threshold' amount", ATUM_LEVELS_TEXT_DOMAIN); goto UA7kU; NlGzQ: $title .= ' - ' . ucfirst(implode(' - ', $attributes)); goto Wbry0; YXjoL: $attributes = wc_get_product_variation_attributes($associated_product_data->product_id); goto OSpF2; Osqkw: if ($is_bom_product && !$is_bom_sellable) { goto Z0p6b; } goto by5bu; AEhZg: E5PTJ: goto gO6XP; nY9Dq: $stock_class = $product->managing_stock() ? 'atmi-cross-circle' : 'atmi-question-circle'; goto HdiwY; aT9eO: w0fRl: goto yF5xA; ex3ll: ?>
									<?php  goto bTEDa; MrOA8: echo absint($product->get_id()); goto hoDbL; b0zHg: goto U3bMK; goto KPyFz; gp9AD: if ($is_bom_product && !$is_bom_sellable) { goto NAMWJ; } goto ex3ll; QlYOy: ?>" target="_blank"><?php  goto uDv4G; Vnjq8: ?>
							</td>

							<td class="name">
								<span class="atum-tooltip" data-tip="<?php  goto XEIsk; ydtxK: ?>
								<i class="<?php  goto QDopv; ydl5n: ?>">
									<?php  goto uH7fJ; lttqh: $parent_data = $product->get_parent_data(); goto iWZz6; tkWZw: $stock_tip = __('Out of Stock', ATUM_LEVELS_TEXT_DOMAIN); goto aT9eO; R0tVc: if ('outofstock' === $product->get_stock_status()) { goto zqu1A; } goto A9FBB; sYHqL: ?>
							</td>

							<td class="status">
								<span class="atum-icon atum-tooltip<?php  goto AX3CR; HdiwY: $stock_class = " {$stock_class} color-danger"; goto tkWZw; wPpE3: echo absint($associated_product_data->product_id); goto Z9yE9; kBpQP: ?>
								<?php  goto U60OV; by5bu: ?>
									<span class="atum-tooltip" data-tip="<?php  goto ttEP2; hoDbL: ?>"></a>
							</td>

							<td class="numeric used">
								<?php  goto RG6df; n5Ipy: ?>">
										<span class="set-meta" data-meta="available_to_purchase" data-input-type="number">
											<?php  goto VI5Fr; YUuzB: K3kBI: goto ED2E7; CA3Fu: ?>
								<?php  goto z5Lfw; bTEDa: echo esc_html(!is_null($product->get_selling_priority()) ? esc_attr($product->get_selling_priority()) : $empty_col); goto CA3Fu; XEIsk: echo esc_attr($product->get_formatted_name()); goto ydl5n; RTxQq: ?>" data-tip="<?php  goto TROcs; uH7fJ: $variable_product_id = ''; goto WkkUa; Z9yE9: ?>">

							<td class="numeric">
								<?php  goto gp9AD; Z3Sak: ?>
									<span class="atum-tooltip" data-tip="<?php  goto l4yG6; QDopv: echo esc_attr($icon); goto sqzIa; MCeBa: goto w0fRl; goto AEhZg; FMtVe: ?>
									<?php  goto YC4SS; ogZr1: ?>
							</td>

							<td class="thumb">
								<?php  goto G1TiF; a78Y2: Z0p6b: goto qavGa; Ta6Bx: $stock_tip .= ' (' . __('not managed by WC', ATUM_LEVELS_TEXT_DOMAIN) . ')'; goto uZuyi; zxZSo: U3bMK: goto sYHqL; U60OV: qcNGu: goto DQNEa; KPyFz: QW2pO: goto XV0yF; r9Sr9: $product_tip = isset($product_types[$product->get_type()]) ? $product_types[$product->get_type()] : __('Variation product', ATUM_LEVELS_TEXT_DOMAIN); goto iwARY; AX3CR: echo esc_attr($stock_class); goto RTxQq; caHRU: echo wc_stock_amount($product->get_stock_quantity()); goto zTFIg; WPmIL: ?>" data-id="<?php  goto MrOA8; sZCn1: $is_bom_sellable = $is_bom_product ? Helpers::is_purchase_allowed($product->get_id()) : TRUE; goto qdKra; sqzIa: ?> atum-tooltip" data-tip="<?php  goto qK8PT; qdKra: if ('instock' === $product->get_stock_status()) { goto E5PTJ; } goto R0tVc; uOZLU: CBP_Z: goto lttqh; FE0d8: if ($is_bom_product && !$is_bom_sellable) { goto QW2pO; } goto Z3Sak; gO6XP: $stock_class = $product->managing_stock() ? 'atmi-checkmark-circle' : 'atmi-question-circle'; goto VYbhS; JL7By: ?>
							</td>

							<td class="numeric stock">
								<?php  goto caHRU; iwARY: $icon = AtumHelpers::get_atum_icon_type($product); goto ydtxK; Wbry0: y3xsM: goto Corey; Yrxpv: if ($product instanceof \WC_Product) { goto EU4Dr; } goto TJu3s; RG6df: echo floatval($associated_product_data->qty); goto JL7By; ZVjDa: ?>
										</span>
									</span>
								<?php  goto R_hAg; Corey: $variable_product_id = $product->get_parent_id(); goto tJKF8; J6NJA: $stock_class = " {$stock_class} color-warning"; goto GUs6e; iWZz6: $title = $parent_data['title']; goto YXjoL; pb1wB: goto eoEHj; goto uOZLU; IcOjp: ZMsLm: goto ogZr1; oYjSM: echo is_null($associated_product_data->minimum_threshold) ? $empty_col : wc_stock_amount($associated_product_data->minimum_threshold); goto ZVjDa; w58ju: ?>
									<a href="<?php  goto J9dxU; QqEgN: esc_attr_e('Show Hierarchy Tree', ATUM_LEVELS_TEXT_DOMAIN); goto WPmIL; McXfJ: ?></a>
								</span>
							</td>

							<td class="type">
								<?php  goto LCWBL; OSpF2: if (empty($attributes)) { goto y3xsM; } goto NlGzQ; A9FBB: $stock_class = $product->managing_stock() ? 'atmi-circle-minus' : 'atmi-question-circle'; goto J6NJA; Vzp2J: $product = AtumHelpers::get_atum_product($associated_product_data->product_id); goto Yrxpv; Ac19l: ?>"></span>
							</td>

						</tr>
					<?php  goto YUuzB; x9SOe: goto qRJNB; goto eZGfN; kzcUN: zqu1A: goto nY9Dq; VYbhS: $stock_class = " {$stock_class} color-success"; goto twg57; bnj4i: ?>
								<?php  goto zxZSo; DQNEa: ?>
							</td>

							<td class="numeric available editable">
								<?php  goto FE0d8; J9dxU: echo esc_url(get_edit_post_link($variable_product_id ?: $associated_product_data->product_id)); goto QlYOy; LCWBL: $product_types = wc_get_product_types(); goto r9Sr9; GUs6e: $stock_tip = __('On Backorder', ATUM_LEVELS_TEXT_DOMAIN); goto MCeBa; qavGa: ?>
									<?php  goto AZuJu; uZuyi: $stock = 'instock' === $product->get_stock_status() ? '&infin;' : '--'; goto x9SOe; s9Cvk: echo $non_sellable_tip; goto bnj4i; l4yG6: esc_html_e("Click to edit the 'Available to Purchase' quantity", ATUM_LEVELS_TEXT_DOMAIN); goto n5Ipy; S25wj: $is_bom_product = Globals::is_bom_product($product); goto sZCn1; jMReB: $stock = wc_stock_amount($product->get_stock_quantity()); goto Gw2N7; zTFIg: ?>
							</td>

							<td class="numeric min-threshold editable">
								<?php  goto Osqkw; yF5xA: if ($product->managing_stock()) { goto dVNBl; } goto Ta6Bx; uDv4G: echo esc_html($title); goto McXfJ; YC4SS: echo $non_sellable_tip; goto t7LW1; Gw2N7: qRJNB: goto iktcP; Lhjvt: NAMWJ: goto FMtVe; t7LW1: ?>
								<?php  goto IcOjp; d7ySh: goto w0fRl; goto kzcUN; TJu3s: goto K3kBI; goto qAev9; UA7kU: ?>">
										<span class="set-meta" data-meta="minimum_threshold" data-input-type="number">
											<?php  goto oYjSM; WkkUa: if (str_contains($product->get_type(), 'variation')) { goto CBP_Z; } goto F3GZj; AZuJu: echo $non_sellable_tip; goto kBpQP; Alwhg: ?>"></i>
							</td>

							<td class="bom-tree">
								<a href="#" class="show-hierarchy atum-icon atmi-tree atum-tooltip" data-tip="<?php  goto QqEgN; z5Lfw: goto ZMsLm; goto Lhjvt; eZGfN: dVNBl: goto jMReB; G1TiF: echo wp_kses_post($product->get_image([40, 40])); goto Vnjq8; iktcP: ?>
						<tr data-id="<?php  goto wPpE3; tJKF8: eoEHj: goto w58ju; F3GZj: $title = $product->get_title(); goto pb1wB; R_hAg: goto qcNGu; goto a78Y2; ED2E7: } goto jjbho; EoJFR: ?>
			<i class="atum-icon atmi-product-levels" title="<?php  goto cT2Ty; Sah0I: ?>
</div>
<?php  goto kfDDR; IAWqL: ?></strong>
						</td>
					</tr>

				<?php  goto F310o; e4X22: esc_html_e('Products', ATUM_LEVELS_TEXT_DOMAIN); goto Z0SQQ; ONroV: Lc7eX: goto pskbH; TcyNR: ?>
					</th>
					<th class="numeric">
						<?php  goto rylPd; aNLhX: Ef922: goto AphUj; cT2Ty: esc_attr_e('ATUM Product Levels', ATUM_LEVELS_TEXT_DOMAIN); goto JUfSZ; Zywh2: ?></option>
			</select>
			<button class="btn btn-warning btn-sm filter-bom-associates"><?php  goto Oyhvi; rylPd: esc_html_e('Minimum Threshold', ATUM_LEVELS_TEXT_DOMAIN); goto TH0Ov; o9F5J: VFLKK: goto bOOS9; s7ip0: ?>">
			<thead>
				<tr>
					<th class="numeric">
						<span class="atum-tooltip" data-tip="<?php  goto zlso3; LG2GL: ?>
			</tbody>
		</table>

	</div>

<?php  goto C5cX0; BPMQs: if (!$associated_count) { goto Ef922; } goto BMjWz; bshwK: cOpqT: goto hMNcM; AphUj: ?>

					<tr class="no-items">
						<td colspan="10">
							<strong><?php  goto dedzC; RmlkE: $non_sellable_tip = '<span class="atum-tooltip" data-tip="' . esc_attr__('This BOM product is non sellable', ATUM_LEVELS_TEXT_DOMAIN) . '">' . $empty_col . '</span>'; goto fea2a; MLrhN: echo esc_attr(wp_create_nonce('bom-associates-props-nonce')); goto s7ip0; HFsyx: if (!$is_variation) { goto cOpqT; } goto IwoLi; zRJi4: if (!$associated_count) { goto Lc7eX; } goto iwPqj; fea2a: ?>

<?php  goto f0nma; ebeYu: echo esc_attr($title_tag); goto Qkdne; no52k: esc_html_e('Current Stock', ATUM_LEVELS_TEXT_DOMAIN); goto TcyNR; JKuQd: esc_attr_e('Thumbnail', ATUM_LEVELS_TEXT_DOMAIN); goto vcjvp; tgrzl: ?>>

	<div class="bom-associates-list<?php  goto HFsyx; aEYIt: $empty_col = '&#45;'; goto RmlkE; AHuU9: ?>"></span>
					</th>
				</tr>
			</thead>

			<tbody>

				<?php  goto BPMQs; Z0SQQ: ?></option>
				<option value="boms"><?php  goto sKePj; xl_Qq: esc_attr_e('BOM Tree', ATUM_LEVELS_TEXT_DOMAIN); goto KT28M; F310o: DxllU: goto LG2GL; ipTpC: esc_html_e('These products are ordered by their selling priorities. You can adjust priorities in Stock Central / Manufacturing Central.', ATUM_LEVELS_TEXT_DOMAIN); goto FK5FW; vcjvp: ?>"></i>
					</th>
					<th class="name">
						<?php  goto SzC82; DFi9p: ?>
					</th>
					<th>
						<span class="atum-icon atmi-layers atum-tooltip" data-tip="<?php  goto Oh7qR; ZGKK7: ?>
	<<?php  goto ebeYu; iwPqj: printf(esc_html(_n('Associated Product/BOM (%d)', 'Associated Products/BOMs (%d)', $associated_count, ATUM_LEVELS_TEXT_DOMAIN)), $associated_count); goto KFZbS; f0nma: if ($is_variation) { goto VFLKK; } goto HW7EE; i6FOq: esc_html_e('Used of this BOM', ATUM_LEVELS_TEXT_DOMAIN); goto uAB9v; KFZbS: goto g5lju; goto ONroV; uAB9v: ?>
					</th>
					<th class="numeric">
						<?php  goto no52k; xIhsJ: goto DxllU; goto aNLhX; IwoLi: echo ' options_group hide_if_variable show_if_variation-product-part show_if_variation-raw-material'; goto bshwK; IF2hl: g5lju: goto yHQX9; zlso3: esc_attr_e('Global Selling Priority', ATUM_LEVELS_TEXT_DOMAIN); goto cwu2o; SzC82: esc_html_e('Product Name', ATUM_LEVELS_TEXT_DOMAIN); goto EzQEr; kfDDR: K7SpZ:
