<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 defined('ABSPATH') || die; use AtumLevels\Inc\Globals; use AtumLevels\Inc\Helpers; use Atum\Inc\Helpers as AtumHelpers; goto xBzPW; xIdZH: $sync_pp_disabled = apply_filters('atum/product_levels/bom_meta/sync_pp_disabled', !$raw_materials_total && !$product_parts_total); goto T1Q7Q; q3igY: do_action('atum/product_levels/bom_meta/raw_materials'); goto XTvUF; NUIPC: esc_html_e('Apply', ATUM_LEVELS_TEXT_DOMAIN); goto p8kED; e3ThU: ?></option>
				<option value="remove-bom"><?php  goto f4i98; uzMhA: ?>

		</table>

		<p class="atum-field form-field">
			<label for="parent_id">
				<?php  goto Ex85h; CCvoY: ?>"
					data-cost="<?php  goto hiVh_; UEIWM: echo $sync_pp_disabled ? ' disabled' : ''; goto GUmrU; Ne4gf: $sync_pp_value = Helpers::get_sync_purchase_price($product_id); goto xIdZH; QUPXM: echo empty($linked_raw_materials) ? 'no' : 'yes'; goto fdLHX; kHktq: echo esc_attr(wc_format_localized_price(wc_format_decimal($total_bom_cost, $decimals, TRUE))); goto xjq4R; G_XlJ: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/bom-list-header', compact('bom_item_real_cost')); goto RKPTC; n_Fm3: ?>
</div>
<?php  goto x88Dm; KJPSa: esc_html_e('No Product Parts added yet', ATUM_LEVELS_TEXT_DOMAIN); goto bfGlj; Ohb11: v9ChS: goto hIUoa; p8kED: ?></button>
		</div>

		<table class="linked-boms" data-cost-calc="<?php  goto GqPbp; E5TLV: ?></option>
				<option value="remove-bom"><?php  goto EIeJg; NOEdf: $raw_materials_total = $product_parts_total = 0; goto NvWH6; U3HlA: echo esc_attr(implode(',', $excluded_product_parts)); goto Z_nsD; kq90u: $raw_materials_total = $bom_list_total; goto A26Bj; cUlU2: $product_parts_total = $bom_list_total; goto l2S8w; Pb1L9: ?>
	</div>

	<?php  goto vtWZt; KgCui: esc_html_e('Sync Purchase/Cost Price', ATUM_LEVELS_TEXT_DOMAIN); goto ZXQUc; zbm79: ?>" data-selected=""
				data-display_stock="<?php  goto GT9nM; Ai2IM: ?>
	</h2>
<?php  goto gNbKM; eeEJj: esc_html_e('Bulk Actions', ATUM_LEVELS_TEXT_DOMAIN); goto e3ThU; Mjypf: if ($is_variation) { goto IVpfl; } goto PV2KE; ifAlB: ob_start(); goto g2VHe; lToXa: esc_html_e('Product Parts', ATUM_LEVELS_TEXT_DOMAIN); goto wTGg4; LhEcB: if (!empty($linked_raw_materials)) { goto Y7U_c; } goto CDxw2; DPyZ0: echo esc_attr(wc_format_localized_price(wc_format_decimal($bom_list_total, $decimals, TRUE))); goto YnUmM; a0GFN: esc_html_e('Link Raw Materials to your product', ATUM_LEVELS_TEXT_DOMAIN); goto iMLye; aydVq: ?></span>
				<span class="total-badge atum-tooltip" title="<?php  goto T1tu8; Ritjb: echo esc_attr(wc_format_localized_price(wc_format_decimal($bom_list_total, $decimals, TRUE))); goto Jop0j; iwxN8: ?>

			<span class="total-bom-cost">
				<span><?php  goto heYI8; xjq4R: ?>
				</span>
			</span>

		</div>

	</div>

<?php  goto Mjypf; VzfHA: ?></button>
		</div>

		<table class="linked-boms" data-cost-calc="<?php  goto AnhdE; pmLun: nX0sB: goto SvvNt; jL4Lg: $decimal_separator = wc_get_price_decimal_separator(); goto ve6A0; gX1c9: echo $raw_material_items; goto w3io1; gNbKM: goto bZYk_; goto pmLun; DvpQ7: ?>"
						value="yes"<?php  goto Yx3En; XqQyE: ?>
			</label>

			<select class="wc-product-search atum-enhanced-select product_parts_search" style="width: 60%;"
				data-placeholder="<?php  goto sMqCu; f4i98: esc_html_e('Remove Product Parts', ATUM_LEVELS_TEXT_DOMAIN); goto KEX2H; CDxw2: ?>

				<tr class="no-items">
					<td colspan="8">
						<?php  goto gq623; kmm_X: goto kh05V; goto Ohb11; wpY6c: goto UmGCE; goto ZSUVA; Fr7F1: UmGCE: goto DbP7l; Jop0j: ?>
				</span>
			</div>
		</h4>

		<div class="bom-bulk-actions">
			<select class="bom-bulk-action" style="width: 160px">
				<option value=""><?php  goto eeEJj; UdVmD: esc_html_e("Total Raw Materials' Recipe Cost", ATUM_LEVELS_TEXT_DOMAIN); goto aydVq; z04WH: ?>"
				data-action="atum_json_search_product_parts" data-allow_clear="true" data-multiple="false"
				data-exclude="<?php  goto U3HlA; cqj8F: echo esc_attr($sync_pp_id); goto ZAUgH; heYI8: esc_html_e('Total BOM Cost', ATUM_LEVELS_TEXT_DOMAIN); goto aojLB; wqC0E: OozF0: goto Viauv; IPe7M: esc_html_e("Total Product Parts' Recipe Cost", ATUM_LEVELS_TEXT_DOMAIN); goto fY7SQ; gxCoT: $bom_list_total = 0; goto WQIVc; PGxNQ: echo esc_attr($sync_pp_id); goto mR0bo; Lhp1C: ?>">
			</select>
		</p>

		<?php  goto QTgUk; Ax7Uq: esc_html_e('Use this only if you need nested BOM', ATUM_LEVELS_TEXT_DOMAIN); goto tzNB0; GqPbp: echo 'yes' === $bom_item_real_cost ? 'real' : 'unitary'; goto W5mv1; EIeJg: esc_html_e('Remove Raw Materials', ATUM_LEVELS_TEXT_DOMAIN); goto vZ5Ei; W5mv1: ?>">

			<?php  goto E1BWJ; sPlXA: ?>

		<h4 class="atum-section-title">
			<div class="bom-list-title">
				<i class="atum-icon atmi-product-part"></i>
				<?php  goto lToXa; J6AXJ: woocommerce_wp_hidden_input(array('id' => $raw_material_input_id, 'value' => !empty($linked_raw_materials) ? wp_json_encode($linked_raw_materials) : '')); goto BBNU2; bfGlj: ?>
					</td>
				</tr>

			<?php  goto kmm_X; zguOl: bZYk_: goto jM4tu; cZWRu: ?>">
			</select>
		</p>

		<?php  goto jFaD0; Yx3En: checked($sync_pp_value, 'yes'); goto SXZ1s; rGXyf: ?>

			<?php  goto XR7Y5; Z_nsD: ?>" data-selected=""
				data-display_stock="<?php  goto zo4Tq; ClrDR: ?>

	<div class="options_group bom-builder raw_materials" data-has-bom="<?php  goto QUPXM; BVVJK: ?>">
<?php  goto zguOl; w2UaZ: ?>">
					<?php  goto DPyZ0; aOehS: if (empty($linked_product_parts)) { goto EpQO0; } goto rOCkl; ZSUVA: Y7U_c: goto O_ipl; Q73iv: if (!$is_variation) { goto nX0sB; } goto uHMof; WQIVc: do_action('atum/product_levels/bom_meta/product_parts'); goto Pb1L9; WSJ5H: ?>
			</div>

			<div class="bom-list-total">
				<span><?php  goto UdVmD; tzNB0: ?>
			</div>
		</div>
	<?php  goto Ex_P7; AnhdE: echo 'yes' === $bom_item_real_cost ? 'real' : 'unitary'; goto fM1jO; Ex_P7: kgAmp: goto ReT6U; Ex85h: esc_html_e('Link Product Parts to your product', ATUM_LEVELS_TEXT_DOMAIN); goto XqQyE; H8FHh: ?>"
					data-cost="<?php  goto MDYPU; ve6A0: $thousand_separator = wc_get_price_thousand_separator(); goto sla_O; DbP7l: ?>
			</tbody>

		</table>

		<p class="atum-field form-field">
			<label for="parent_id">
				<?php  goto a0GFN; vtWZt: do_action('atum/product_levels/bom_meta/after_bom_panels', $product); goto CnJYu; zo4Tq: echo esc_attr($product->get_id()); goto cZWRu; n4IcF: echo esc_attr($sync_pp_name); goto IQBqb; T1Q7Q: ?>
			<p class="form-field <?php  goto PGxNQ; GUmrU: ?>
					>

					<?php  goto WAH2s; np39L: esc_html_e('Raw Materials', ATUM_LEVELS_TEXT_DOMAIN); goto WSJ5H; XTvUF: ?>
	</div>

	<div class="options_group bom-builder product_parts" data-has-bom="<?php  goto W8y9F; NgBs5: $sync_pp_name = $is_variation && isset($loop) ? 'variation_atum_tab[' . Globals::SYNC_PURCHASE_PRICE_KEY . "][{$loop}]" : 'atum_product_tab[' . Globals::SYNC_PURCHASE_PRICE_KEY . ']'; goto Ne4gf; T1tu8: echo wc_format_decimal($bom_list_total, 15, TRUE); goto CCvoY; hIUoa: echo $product_part_items; goto rGXyf; ReT6U: ?>

	<?php  goto xTTOD; rYRFj: if (!(in_array($product->get_type(), Globals::get_product_levels(), TRUE) || in_array($product->get_type(), Globals::get_variation_levels(), TRUE))) { goto kgAmp; } goto gJpqc; U_SWx: ?>

				<tr class="no-items">
					<td colspan="8">
						<?php  goto KJPSa; lUrvA: esc_html_e('Apply', ATUM_LEVELS_TEXT_DOMAIN); goto VzfHA; rOCkl: ob_start(); goto eL1tc; WSunA: EpQO0: goto sPlXA; SvvNt: ?>
<div id="bom_product_data" class="panel woocommerce_options_panel hidden" data-nonce="<?php  goto VdU5F; QTgUk: $raw_material_input_id = $is_variation && isset($loop) ? "variation_atum_tab[raw_material][{$loop}]" : 'atum_product_tab[raw_material]'; goto J6AXJ; gq623: esc_html_e('No Raw Materials added yet', ATUM_LEVELS_TEXT_DOMAIN); goto MzS76; MzS76: ?>
					</td>
				</tr>

				<?php  goto wpY6c; GT9nM: echo esc_attr($product->get_id()); goto Lhp1C; XW7Uv: echo wc_format_decimal($bom_list_total, 15, TRUE); goto H8FHh; zNu0n: esc_attr_e('ATUM Product Levels', ATUM_LEVELS_TEXT_DOMAIN); goto LdcPA; uHMof: ?>
	<h2 class="atum-section-title">
		<i class="atum-icon atmi-product-levels" title="<?php  goto zNu0n; Va_82: if (empty($linked_raw_materials)) { goto OozF0; } goto ifAlB; xBzPW: global $bom_list_total; goto NOEdf; ZAUgH: ?>" class="form-check-label">
						<?php  goto KgCui; mR0bo: ?>_field">

				<span class="form-switch">
					<input type="checkbox" name="<?php  goto n4IcF; g1L9M: ijA4b: goto kq90u; oC1P5: if (!empty($linked_product_parts)) { goto v9ChS; } goto U_SWx; W8y9F: echo empty($linked_product_parts) ? 'no' : 'yes'; goto fGO_n; xu2KD: echo wc_format_decimal($total_bom_cost, 15, TRUE); goto LxTgD; CTpb3: esc_html_e('Bulk Actions', ATUM_LEVELS_TEXT_DOMAIN); goto E5TLV; zEzQi: ?>

					<label for="<?php  goto cqj8F; vZ5Ei: ?></option>
			</select>
			<button class="btn btn-warning btn-sm apply-bom-bulk"><?php  goto NUIPC; fGO_n: ?>">

		<?php  goto aOehS; T9Mu3: ?></strong>
		</div>

		<div class="sync_purchase_price__fields">

			<?php  goto EOqZM; iMLye: ?>
			</label>

			<select class="wc-product-search atum-enhanced-select raw_materials_search" style="width: 60%;"
				data-placeholder="<?php  goto loMeM; KEvfB: ?>

			<tbody>
				<?php  goto LhEcB; eL1tc: foreach ($linked_product_parts as $bom_data) { AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/bom-list-item', compact('bom_data', 'product_id', 'bom_item_real_cost')); whxwm: } goto pIwWg; fM1jO: ?>">

			<?php  goto G_XlJ; sMqCu: esc_attr_e('Search for Product Parts&hellip;', ATUM_LEVELS_TEXT_DOMAIN); goto z04WH; MDYPU: echo esc_attr(wc_format_decimal($bom_list_total, $decimals, TRUE)); goto rpeiU; Viauv: ?>

		<h4 class="atum-section-title">
			<div class="bom-list-title">
				<i class="atum-icon atmi-raw-material"></i>
				<?php  goto np39L; E1BWJ: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/bom-list-header', compact('bom_item_real_cost')); goto KEvfB; RKPTC: ?>

			<?php  goto oC1P5; NvWH6: $decimals = Helpers::get_cost_decimals(); goto jL4Lg; ZXQUc: ?>
					</label>

				</span>

			</p>

			<?php  goto qAe13; CnJYu: ?>

	<div class="options_group sync_purchase_price">

		<div class="alert alert-warning" style="display:none" role="alert">
			<i class="atum-icon atmi-warning"></i>
			<strong><?php  goto eXR3F; LdcPA: ?>"></i>
		<?php  goto WTDaj; eXR3F: esc_html_e('Update this product to accept the Purchase Price changes', ATUM_LEVELS_TEXT_DOMAIN); goto T9Mu3; w3io1: ?>

				<?php  goto Fr7F1; IQBqb: ?>" id="<?php  goto TUWh3; xTTOD: do_action('atum/product_levels/bom_meta/before_bom_panel', $product); goto ClrDR; l2S8w: $product_part_items = ob_get_clean(); goto WSunA; x88Dm: IVpfl: goto Jfn29; PLyht: echo esc_attr(implode(',', $excluded_raw_materials)); goto zbm79; jFaD0: $product_part_input_id = $is_variation && isset($loop) ? "variation_atum_tab[product_part][{$loop}]" : 'atum_product_tab[product_part]'; goto JGlL7; wTGg4: ?>
			</div>

			<div class="bom-list-total">
				<span><?php  goto IPe7M; sla_O: $bom_list_total = 0; goto WLx3n; jM4tu: ?>

	<?php  goto rYRFj; fY7SQ: ?></span>
				<span class="total-badge atum-tooltip" title="<?php  goto XW7Uv; KEX2H: ?></option>
			</select>
			<button class="btn btn-warning btn-sm apply-bom-bulk"><?php  goto lUrvA; XR7Y5: kh05V: goto uzMhA; EOqZM: $sync_pp_id = $is_variation && isset($loop) ? Globals::SYNC_PURCHASE_PRICE_KEY . $loop : Globals::SYNC_PURCHASE_PRICE_KEY; goto NgBs5; TUWh3: echo esc_attr($sync_pp_id); goto DvpQ7; JGlL7: woocommerce_wp_hidden_input(array('id' => $product_part_input_id, 'value' => !empty($linked_product_parts) ? wp_json_encode($linked_product_parts) : '')); goto gxCoT; WLx3n: ?>

<?php  goto Q73iv; loMeM: esc_attr_e('Search for Raw Materials&hellip;', ATUM_LEVELS_TEXT_DOMAIN); goto x95MO; BBNU2: $bom_list_total = 0; goto q3igY; WAH2s: echo wc_help_tip(__('Sync the Purchase Price/Cost Price with the Total BOM Cost.', ATUM_LEVELS_TEXT_DOMAIN)); goto zEzQi; fdLHX: ?>">

		<?php  goto Va_82; rpeiU: ?>">
					<?php  goto Ritjb; hiVh_: echo esc_attr(wc_format_decimal($bom_list_total, $decimals, TRUE)); goto w2UaZ; aojLB: ?></span>
				<span class="total-badge atum-tooltip" title="<?php  goto xu2KD; A26Bj: $raw_material_items = ob_get_clean(); goto wqC0E; gJpqc: ?>
		<div class="options_group">
			<div class="alert alert-warning" role="alert">
				<i class="atum-icon atmi-warning"></i>
				<?php  goto Ax7Uq; WTDaj: esc_html_e('Bill of Materials', ATUM_LEVELS_TEXT_DOMAIN); goto Ai2IM; LxTgD: ?>">
					<?php  goto kHktq; pIwWg: LbCFw: goto cUlU2; O_ipl: ?>

					<?php  goto gX1c9; x95MO: ?>"
				data-action="atum_json_search_raw_materials" data-allow_clear="true" data-multiple="false"
				data-exclude="<?php  goto PLyht; YnUmM: ?>
				</span>
			</div>
		</h4>

		<div class="bom-bulk-actions">
			<select class="bom-bulk-action" style="width: 160px">
				<option value=""><?php  goto CTpb3; VdU5F: echo esc_attr(wp_create_nonce('atum-bom-meta-box-nonce')); goto BVVJK; g2VHe: foreach ($linked_raw_materials as $bom_data) { AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/bom-list-item', compact('bom_data', 'product_id', 'bom_item_real_cost')); mSHT0: } goto g1L9M; qAe13: $total_bom_cost = apply_filters('atum/product_levels/bom_meta/total_bom_cost', $raw_materials_total + $product_parts_total); goto iwxN8; SXZ1s: ?>
						class="form-check-input _sync_purchase_price_input"<?php  goto UEIWM; PV2KE: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/linked-bom-template-script'); goto n_Fm3; Jfn29: do_action('atum/product_levels/bom_meta/after_bom_meta_box');
